%define anolis_release 2
%global py2support 0

Name:           python-coverage
Summary:        Code coverage testing module for Python
Version:        7.2.1
Release:        %{anolis_release}%{?dist}
License:        Apache-2.0
URL:            http://nedbatchelder.com/code/modules/coverage.html
Source0:        https://pypi.python.org/packages/source/c/coverage/coverage-%{version}.tar.gz
BuildRequires:  gcc

%description
Coverage.py is a Python module that measures code coverage during Python 
execution. It uses the code analysis tools and tracing hooks provided in the 
Python standard library to determine which lines are executable, and which 
have been executed.

%{?python_extras_subpkg:%python_extras_subpkg -n python3-coverage -i %{python3_sitearch}/coverage*.egg-info toml}

%package -n python3-coverage
Summary:        Code coverage testing module for Python 3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-setuptools
Provides:       bundled(js-jquery) = 1.11.1
Provides:       bundled(js-jquery-debounce) = 1.1
Provides:       bundled(js-jquery-hotkeys) = 0.8
Provides:       bundled(js-jquery-isonscreen) = 1.2.0
Provides:       bundled(js-jquery-tablesorter)
Conflicts:      python2-coverage < 4.5.4-2

%description -n python3-coverage
Coverage.py is a Python 3 module that measures code coverage during Python
execution. It uses the code analysis tools and tracing hooks provided in the 
Python standard library to determine which lines are executable, and which 
have been executed.

%package -n python3-coverage-doc
Summary: 	%{summary}
Requires:	python3-coverage = %{version}-%{release}

%description -n python3-coverage-doc
Doc files for python3-coverage

%prep
%setup -q -n coverage-%{version}

find . -type f -exec chmod 0644 \{\} \;
sed -i 's/\r//g' README.rst

%build
%py3_build

%install
%py3_install
rm %{buildroot}/%{_bindir}/coverage

# make compat symlinks
pushd %{buildroot}%{_bindir}
ln -s coverage-%{python3_version} coverage-3
ln -s coverage-%{python3_version} coverage
popd

%files -n python3-coverage
%license LICENSE.txt NOTICE.txt
%{_bindir}/coverage
%{_bindir}/coverage3
%{_bindir}/coverage-3*
%{python3_sitearch}/coverage/
%{python3_sitearch}/coverage*.egg-info/

%files -n python3-coverage-doc
%doc README.rst

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 7.2.1-2
- Rebuild with python3.11

* Sat Mar 25 2023 happy_orange <songnannan@linux.alibaba.com> - 7.2.1-1
- init package from upstream
